from uuid import UUID

from infrastructure.sqs_client import SqsClient


class Address2UprnQueueClient(SqsClient):
    def publish(
        self,
        *,
        parent_task_id: UUID,
        child_subtask_id: UUID,
        s3_uri: str,
    ) -> str:
        return self.send(
            {
                "task_id": str(parent_task_id),
                "sub_task_id": str(child_subtask_id),
                "s3_uri": s3_uri,
            }
        )
